KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# ViewParams Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

A public class that controls the painting of a MarbleWidget

## Methods
| __init__ (self)
| __init__ (self, Marble.ViewParams a0)
QImage | canvasImage (self)
| centerCoordinates (self, float centerLon, float centerLat)
QImage | coastImage (self)
Marble.AbstractProjection | currentProjection (self)
Marble.MapQuality | mapQuality (self)
Marble.GeoSceneDocument | mapTheme (self)
QString | mapThemeId (self)
Marble.Quaternion | planetAxis (self)
Marble.Quaternion | planetAxisUpdated (self)
Marble.Projection | projection (self)
| propertyAvailable (self, QString name, bool available)
| propertyValue (self, QString name, bool value)
int | radius (self)
int | radiusUpdated (self)
| setCanvasImage (self, QImage a0)
| setCoastImage (self, QImage a0)
| setMapQuality (self, Marble.MapQuality a0)
| setMapThemeId (self, QString a0)
| setPlanetAxis (self, Marble.Quaternion newAxis)
| setPlanetAxisUpdated (self, Marble.Quaternion a0)
| setProjection (self, Marble.Projection newProjection)
| setPropertyValue (self, QString name, bool value)
| setRadius (self, int newRadius)
| setRadiusUpdated (self, int a0)
| setShowAtmosphere (self, bool a0)
| setShowElevationModel (self, bool a0)
| setShowGps (self, bool a0)
bool | showAtmosphere (self)
bool | showElevationModel (self)
bool | showGps (self)
Marble.ViewportParams | viewport (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.ViewParams | a0
| ) |  |  |

QImage canvasImage | ( |  | self ) |

centerCoordinates | ( | self, |
|  | float | centerLon,
|  | float | centerLat
| ) |  |  |

QImage coastImage | ( |  | self ) |

Marble.AbstractProjection currentProjection | ( |  | self ) |

Marble.MapQuality mapQuality | ( |  | self ) |

Marble.GeoSceneDocument mapTheme | ( |  | self ) |

QString mapThemeId | ( |  | self ) |

Marble.Quaternion planetAxis | ( |  | self ) |

Marble.Quaternion planetAxisUpdated | ( |  | self ) |

Marble.Projection projection | ( |  | self ) |

propertyAvailable | ( | self, |
|  | QString | name,
|  | bool | available
| ) |  |  |

Get the availability of a property across groups

Parameters:

  |  | name the property name
  |  | available availability of the property

Returns:
  true the property was registered in the settings

false the property wasn't registered in the settings

propertyValue | ( | self, |
|  | QString | name,
|  | bool | value
| ) |  |  |

Get the value of a property across groups

Parameters:

  |  | name the property name

int radius | ( |  | self ) |

int radiusUpdated | ( |  | self ) |

setCanvasImage | ( | self, |
|  | QImage | a0
| ) |  |  |

setCoastImage | ( | self, |
|  | QImage | a0
| ) |  |  |

setMapQuality | ( | self, |
|  | Marble.MapQuality | a0
| ) |  |  |

setMapThemeId | ( | self, |
|  | QString | a0
| ) |  |  |

The actual parameters for the look get loaded via setMapThemeID. mapTheme returns a pointer which then can get passed on to the MarbleModel and the MarbleLegendBrowser.

setPlanetAxis | ( | self, |
|  | Marble.Quaternion | newAxis
| ) |  |  |

setPlanetAxisUpdated | ( | self, |
|  | Marble.Quaternion | a0
| ) |  |  |

setProjection | ( | self, |
|  | Marble.Projection | newProjection
| ) |  |  |

setPropertyValue | ( | self, |
|  | QString | name,
|  | bool | value
| ) |  |  |

Set the value of a map theme property

Parameters:

  |  | name the property name
  |  | value the value of the property

Returns:
  true the property was found and changed accordingly

false the property couldn't be found here

setRadius | ( | self, |
|  | int | newRadius
| ) |  |  |

setRadiusUpdated | ( | self, |
|  | int | a0
| ) |  |  |

setShowAtmosphere | ( | self, |
|  | bool | a0
| ) |  |  |

setShowElevationModel | ( | self, |
|  | bool | a0
| ) |  |  |

setShowGps | ( | self, |
|  | bool | a0
| ) |  |  |

bool showAtmosphere | ( |  | self ) |

bool showElevationModel | ( |  | self ) |

bool showGps | ( |  | self ) |

Marble.ViewportParams viewport | ( |  | self ) |